> For the complete documentation index, see [llms.txt](https://docs.infraon.io/infraon-infinity-api-guide/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.infraon.io/infraon-infinity-api-guide/modules/work-flow-jobs.md).

# Work Flow Jobs

## Gets a list of workflow jobs

> This endpoint is used to fetch all the workflow jobs in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"WorkflowJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"created_by_name":{"type":"string","readOnly":true},"modified_by_name":{"type":"string","readOnly":true},"business_hr_profile_name":{"type":"string","readOnly":true},"execute_now_triggered":{"type":"string","readOnly":true},"created_by_profile":{"type":"string","readOnly":true},"modified_by_profile":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"name":{"type":"string"},"description":{"type":"string"},"jobname":{"type":"string"},"progress":{"type":"boolean"},"last_action":{"type":"string","format":"date-time"},"next_action":{"type":"string","format":"date-time"},"startdate":{"type":"object","additionalProperties":{}},"enddate":{"type":"object","additionalProperties":{}},"starttime":{"type":"string","format":"date"},"endtime":{"type":"string","format":"date"},"is_enabled":{"type":"boolean"},"is_deleted":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"business_hr_profile":{"type":"object","additionalProperties":{}},"schedule_data":{"type":"object","additionalProperties":{}},"tzone":{"type":"string"}},"required":["business_hr_profile_name","created_by_name","created_by_profile","execute_now_triggered","id","job_id","last_action_time_obj","modified_by_name","modified_by_profile","name","next_action_time_obj","organization","schedule_details"]}}},"paths":{"/ux/nccm/workflow_jobs/":{"get":{"operationId":"ux_nccm_workflow_jobs_list","description":"This endpoint is used to fetch all the workflow jobs in the current organization","summary":"Gets a list of workflow jobs","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["Work Flow Jobs"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/WorkflowJobs"}}}},"description":""}}}}}}
```

## POST /ux/nccm/workflow\_jobs/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"WorkflowJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"created_by_name":{"type":"string","readOnly":true},"modified_by_name":{"type":"string","readOnly":true},"business_hr_profile_name":{"type":"string","readOnly":true},"execute_now_triggered":{"type":"string","readOnly":true},"created_by_profile":{"type":"string","readOnly":true},"modified_by_profile":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"name":{"type":"string"},"description":{"type":"string"},"jobname":{"type":"string"},"progress":{"type":"boolean"},"last_action":{"type":"string","format":"date-time"},"next_action":{"type":"string","format":"date-time"},"startdate":{"type":"object","additionalProperties":{}},"enddate":{"type":"object","additionalProperties":{}},"starttime":{"type":"string","format":"date"},"endtime":{"type":"string","format":"date"},"is_enabled":{"type":"boolean"},"is_deleted":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"business_hr_profile":{"type":"object","additionalProperties":{}},"schedule_data":{"type":"object","additionalProperties":{}},"tzone":{"type":"string"}},"required":["business_hr_profile_name","created_by_name","created_by_profile","execute_now_triggered","id","job_id","last_action_time_obj","modified_by_name","modified_by_profile","name","next_action_time_obj","organization","schedule_details"]}}},"paths":{"/ux/nccm/workflow_jobs/":{"post":{"operationId":"ux_nccm_workflow_jobs_create","description":"API endpoint that allows users to be viewed or edited.","tags":["Work Flow Jobs"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowJobs"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/WorkflowJobs"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/WorkflowJobs"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowJobs"}}},"description":""}}}}}}
```

## Gets a workflow job details with the given id

> This endpoint is used to fetch a workflow jobs in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"WorkflowJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"created_by_name":{"type":"string","readOnly":true},"modified_by_name":{"type":"string","readOnly":true},"business_hr_profile_name":{"type":"string","readOnly":true},"execute_now_triggered":{"type":"string","readOnly":true},"created_by_profile":{"type":"string","readOnly":true},"modified_by_profile":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"name":{"type":"string"},"description":{"type":"string"},"jobname":{"type":"string"},"progress":{"type":"boolean"},"last_action":{"type":"string","format":"date-time"},"next_action":{"type":"string","format":"date-time"},"startdate":{"type":"object","additionalProperties":{}},"enddate":{"type":"object","additionalProperties":{}},"starttime":{"type":"string","format":"date"},"endtime":{"type":"string","format":"date"},"is_enabled":{"type":"boolean"},"is_deleted":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"business_hr_profile":{"type":"object","additionalProperties":{}},"schedule_data":{"type":"object","additionalProperties":{}},"tzone":{"type":"string"}},"required":["business_hr_profile_name","created_by_name","created_by_profile","execute_now_triggered","id","job_id","last_action_time_obj","modified_by_name","modified_by_profile","name","next_action_time_obj","organization","schedule_details"]}}},"paths":{"/ux/nccm/workflow_jobs/{id}/":{"get":{"operationId":"ux_nccm_workflow_jobs_retrieve","description":"This endpoint is used to fetch a workflow jobs in the current organization","summary":"Gets a workflow job details with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Work Flow Jobs"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowJobs"}}},"description":""}}}}}}
```

## PUT /ux/nccm/workflow\_jobs/{id}/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"WorkflowJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"created_by_name":{"type":"string","readOnly":true},"modified_by_name":{"type":"string","readOnly":true},"business_hr_profile_name":{"type":"string","readOnly":true},"execute_now_triggered":{"type":"string","readOnly":true},"created_by_profile":{"type":"string","readOnly":true},"modified_by_profile":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"name":{"type":"string"},"description":{"type":"string"},"jobname":{"type":"string"},"progress":{"type":"boolean"},"last_action":{"type":"string","format":"date-time"},"next_action":{"type":"string","format":"date-time"},"startdate":{"type":"object","additionalProperties":{}},"enddate":{"type":"object","additionalProperties":{}},"starttime":{"type":"string","format":"date"},"endtime":{"type":"string","format":"date"},"is_enabled":{"type":"boolean"},"is_deleted":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"business_hr_profile":{"type":"object","additionalProperties":{}},"schedule_data":{"type":"object","additionalProperties":{}},"tzone":{"type":"string"}},"required":["business_hr_profile_name","created_by_name","created_by_profile","execute_now_triggered","id","job_id","last_action_time_obj","modified_by_name","modified_by_profile","name","next_action_time_obj","organization","schedule_details"]}}},"paths":{"/ux/nccm/workflow_jobs/{id}/":{"put":{"operationId":"ux_nccm_workflow_jobs_update","description":"API endpoint that allows users to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Work Flow Jobs"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowJobs"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/WorkflowJobs"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/WorkflowJobs"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowJobs"}}},"description":""}}}}}}
```

## Deletes the workflow job with given id

> This endpoint is used to delete an existing workflow job for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/nccm/workflow_jobs/{id}/":{"delete":{"operationId":"ux_nccm_workflow_jobs_destroy","description":"This endpoint is used to delete an existing workflow job for the current organization","summary":"Deletes the workflow job with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Work Flow Jobs"],"responses":{"204":{"description":"No response body"}}}}}}
```

## Trigger Workflow Jobs

> This endpoint is used to trigger workflow jobs in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"WorkflowJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"created_by_name":{"type":"string","readOnly":true},"modified_by_name":{"type":"string","readOnly":true},"business_hr_profile_name":{"type":"string","readOnly":true},"execute_now_triggered":{"type":"string","readOnly":true},"created_by_profile":{"type":"string","readOnly":true},"modified_by_profile":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"name":{"type":"string"},"description":{"type":"string"},"jobname":{"type":"string"},"progress":{"type":"boolean"},"last_action":{"type":"string","format":"date-time"},"next_action":{"type":"string","format":"date-time"},"startdate":{"type":"object","additionalProperties":{}},"enddate":{"type":"object","additionalProperties":{}},"starttime":{"type":"string","format":"date"},"endtime":{"type":"string","format":"date"},"is_enabled":{"type":"boolean"},"is_deleted":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"business_hr_profile":{"type":"object","additionalProperties":{}},"schedule_data":{"type":"object","additionalProperties":{}},"tzone":{"type":"string"}},"required":["business_hr_profile_name","created_by_name","created_by_profile","execute_now_triggered","id","job_id","last_action_time_obj","modified_by_name","modified_by_profile","name","next_action_time_obj","organization","schedule_details"]}}},"paths":{"/ux/nccm/workflow_jobs/execute-workflow-job/":{"post":{"operationId":"ux_nccm_workflow_jobs_execute_workflow_job_create","description":"This endpoint is used to trigger workflow jobs in the current organization","summary":"Trigger Workflow Jobs","tags":["Work Flow Jobs"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowJobs"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/WorkflowJobs"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/WorkflowJobs"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowJobs"}}},"description":""}}}}}}
```

## Diagnosis Workflow Job Features

> This endpoint is used to diagnosis feature of workflow jobs in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"WorkflowJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"created_by_name":{"type":"string","readOnly":true},"modified_by_name":{"type":"string","readOnly":true},"business_hr_profile_name":{"type":"string","readOnly":true},"execute_now_triggered":{"type":"string","readOnly":true},"created_by_profile":{"type":"string","readOnly":true},"modified_by_profile":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"name":{"type":"string"},"description":{"type":"string"},"jobname":{"type":"string"},"progress":{"type":"boolean"},"last_action":{"type":"string","format":"date-time"},"next_action":{"type":"string","format":"date-time"},"startdate":{"type":"object","additionalProperties":{}},"enddate":{"type":"object","additionalProperties":{}},"starttime":{"type":"string","format":"date"},"endtime":{"type":"string","format":"date"},"is_enabled":{"type":"boolean"},"is_deleted":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"business_hr_profile":{"type":"object","additionalProperties":{}},"schedule_data":{"type":"object","additionalProperties":{}},"tzone":{"type":"string"}},"required":["business_hr_profile_name","created_by_name","created_by_profile","execute_now_triggered","id","job_id","last_action_time_obj","modified_by_name","modified_by_profile","name","next_action_time_obj","organization","schedule_details"]}}},"paths":{"/ux/nccm/workflow_jobs/feature-diagnosis/":{"get":{"operationId":"ux_nccm_workflow_jobs_feature_diagnosis_retrieve","description":"This endpoint is used to diagnosis feature of workflow jobs in the current organization","summary":"Diagnosis Workflow Job Features","tags":["Work Flow Jobs"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowJobs"}}},"description":""}}}}}}
```

## Workflow Job Features Diagnosis Options

> This endpoint is used to diagnosis feature options of workflow jobs in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"WorkflowJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"created_by_name":{"type":"string","readOnly":true},"modified_by_name":{"type":"string","readOnly":true},"business_hr_profile_name":{"type":"string","readOnly":true},"execute_now_triggered":{"type":"string","readOnly":true},"created_by_profile":{"type":"string","readOnly":true},"modified_by_profile":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"name":{"type":"string"},"description":{"type":"string"},"jobname":{"type":"string"},"progress":{"type":"boolean"},"last_action":{"type":"string","format":"date-time"},"next_action":{"type":"string","format":"date-time"},"startdate":{"type":"object","additionalProperties":{}},"enddate":{"type":"object","additionalProperties":{}},"starttime":{"type":"string","format":"date"},"endtime":{"type":"string","format":"date"},"is_enabled":{"type":"boolean"},"is_deleted":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"business_hr_profile":{"type":"object","additionalProperties":{}},"schedule_data":{"type":"object","additionalProperties":{}},"tzone":{"type":"string"}},"required":["business_hr_profile_name","created_by_name","created_by_profile","execute_now_triggered","id","job_id","last_action_time_obj","modified_by_name","modified_by_profile","name","next_action_time_obj","organization","schedule_details"]}}},"paths":{"/ux/nccm/workflow_jobs/feature-diagnosis-opts/":{"get":{"operationId":"ux_nccm_workflow_jobs_feature_diagnosis_opts_retrieve","description":"This endpoint is used to diagnosis feature options of workflow jobs in the current organization","summary":"Workflow Job Features Diagnosis Options","tags":["Work Flow Jobs"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowJobs"}}},"description":""}}}}}}
```

## Change or delete Workflow Jobs

> This endpoint is used to change state or delete  workflow jobs in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"WorkflowJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"created_by_name":{"type":"string","readOnly":true},"modified_by_name":{"type":"string","readOnly":true},"business_hr_profile_name":{"type":"string","readOnly":true},"execute_now_triggered":{"type":"string","readOnly":true},"created_by_profile":{"type":"string","readOnly":true},"modified_by_profile":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"name":{"type":"string"},"description":{"type":"string"},"jobname":{"type":"string"},"progress":{"type":"boolean"},"last_action":{"type":"string","format":"date-time"},"next_action":{"type":"string","format":"date-time"},"startdate":{"type":"object","additionalProperties":{}},"enddate":{"type":"object","additionalProperties":{}},"starttime":{"type":"string","format":"date"},"endtime":{"type":"string","format":"date"},"is_enabled":{"type":"boolean"},"is_deleted":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"business_hr_profile":{"type":"object","additionalProperties":{}},"schedule_data":{"type":"object","additionalProperties":{}},"tzone":{"type":"string"}},"required":["business_hr_profile_name","created_by_name","created_by_profile","execute_now_triggered","id","job_id","last_action_time_obj","modified_by_name","modified_by_profile","name","next_action_time_obj","organization","schedule_details"]}}},"paths":{"/ux/nccm/workflow_jobs/multi-change/":{"post":{"operationId":"ux_nccm_workflow_jobs_multi_change_create","description":"This endpoint is used to change state or delete  workflow jobs in the current organization","summary":"Change or delete Workflow Jobs","tags":["Work Flow Jobs"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowJobs"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/WorkflowJobs"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/WorkflowJobs"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowJobs"}}},"description":""}}}}}}
```

## Gets a workflow job options with the given id

> This endpoint is used to fetch a workflow jobs options in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"WorkflowJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"created_by_name":{"type":"string","readOnly":true},"modified_by_name":{"type":"string","readOnly":true},"business_hr_profile_name":{"type":"string","readOnly":true},"execute_now_triggered":{"type":"string","readOnly":true},"created_by_profile":{"type":"string","readOnly":true},"modified_by_profile":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"name":{"type":"string"},"description":{"type":"string"},"jobname":{"type":"string"},"progress":{"type":"boolean"},"last_action":{"type":"string","format":"date-time"},"next_action":{"type":"string","format":"date-time"},"startdate":{"type":"object","additionalProperties":{}},"enddate":{"type":"object","additionalProperties":{}},"starttime":{"type":"string","format":"date"},"endtime":{"type":"string","format":"date"},"is_enabled":{"type":"boolean"},"is_deleted":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"business_hr_profile":{"type":"object","additionalProperties":{}},"schedule_data":{"type":"object","additionalProperties":{}},"tzone":{"type":"string"}},"required":["business_hr_profile_name","created_by_name","created_by_profile","execute_now_triggered","id","job_id","last_action_time_obj","modified_by_name","modified_by_profile","name","next_action_time_obj","organization","schedule_details"]}}},"paths":{"/ux/nccm/workflow_jobs/options/":{"get":{"operationId":"ux_nccm_workflow_jobs_options_retrieve","description":"This endpoint is used to fetch a workflow jobs options in the current organization","summary":"Gets a workflow job options with the given id","tags":["Work Flow Jobs"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowJobs"}}},"description":""}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.infraon.io/infraon-infinity-api-guide/modules/work-flow-jobs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
